Package ru.bitel.bgbilling.modules.cerbercrypt.common.bean

# Class CardPacket

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.cerbercrypt.common.bean.CardPacket

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class CardPacket
    extends Id

Картпакет. Привязка пакета к юзеркарте.

See Also:
  Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `CardPacket.CardPacketComparator` | Сравниваемые характеристики в последовательности такой: packetId, date1, date2, status НЕ СРАВНИВАЕТСЯ: usercardId, т.к. на разных картах подписку то сравнивать надо.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `STATUS_ACTIVE` | карта работает
  `static int` | `STATUS_LOCKED` | заблокирована сервером(локером)/администратором
  `static int` | `STATUS_SUSPEND` | приостановлена клиентом

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CardPacket()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `long` | `getCardNumber()` |
  `java.util.Calendar` | `getChange_date()` |
  `java.lang.String` | `getComment()` |
  `int` | `getContractId()` |
  `java.math.BigDecimal` | `getCost()` |
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `int` | `getPacketId()` |
  `java.lang.String` | `getPacketTitle()` |
  `int` | `getStatus()` |
  `java.lang.String` | `getStringStatus()` |
  `static java.lang.String` | `getStringStatus​(int status)` |
  `int` | `getUsercardId()` | usercardId, то есть ID карты-привязанной-к-договору.
  `void` | `setCardNumber​(long cardNumber)` |
  `void` | `setChange_date​(java.util.Calendar change_date)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setCost​(java.math.BigDecimal cost)` |
  `void` | `setDateFrom​(java.util.Date date1)` |
  `void` | `setDateTo​(java.util.Date date2)` |
  `void` | `setPacketId​(int packetId)` |
  `void` | `setPacketTitle​(java.lang.String packetTitle)` |
  `void` | `setStatus​(int status)` |
  `void` | `setUsercardId​(int usercardId)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### STATUS_ACTIVE

    public static final int STATUS_ACTIVE
    карта работает
    See Also:
      Constant Field Values

  - ### STATUS_LOCKED

    public static final int STATUS_LOCKED
    заблокирована сервером(локером)/администратором
    See Also:
      Constant Field Values

  - ### STATUS_SUSPEND

    public static final int STATUS_SUSPEND
    приостановлена клиентом
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### CardPacket

    public CardPacket()

- ## Method Details

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date date1)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date date2)

  - ### getPacketId

    public int getPacketId()

  - ### setPacketId

    public void setPacketId​(int packetId)

  - ### getUsercardId

    public int getUsercardId()
    usercardId, то есть ID карты-привязанной-к-договору.

  - ### setUsercardId

    public void setUsercardId​(int usercardId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getStringStatus

    public java.lang.String getStringStatus()

  - ### getStringStatus

    public static java.lang.String getStringStatus​(int status)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`

  - ### getPacketTitle

    public java.lang.String getPacketTitle()

  - ### setPacketTitle

    public void setPacketTitle​(java.lang.String packetTitle)

  - ### getCardNumber

    public long getCardNumber()

  - ### setCardNumber

    public void setCardNumber​(long cardNumber)

  - ### getChange_date

    public java.util.Calendar getChange_date()

  - ### setChange_date

    public void setChange_date​(java.util.Calendar change_date)

  - ### getCost

    public java.math.BigDecimal getCost()

  - ### setCost

    public void setCost​(java.math.BigDecimal cost)